Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -4448,118 +5307,118 @@
 int * molecule::IsEqualToWithinThreshold(ofstream *out, molecule *OtherMolecule, double threshold)
 {
-	int flag;
-	double *Distances = NULL, *OtherDistances = NULL;
-	Vector CenterOfGravity, OtherCenterOfGravity;
-	size_t *PermMap = NULL, *OtherPermMap = NULL;
-	int *PermutationMap = NULL;
-	atom *Walker = NULL;
-	bool result = true; // status of comparison
-
-	*out << Verbose(3) << "Begin of IsEqualToWithinThreshold." << endl;
-	/// first count both their atoms and elements and update lists thereby ...
-	//*out << Verbose(0) << "Counting atoms, updating list" << endl;
-	CountAtoms(out);
-	OtherMolecule->CountAtoms(out);
-	CountElements();
-	OtherMolecule->CountElements();
-
-	/// ... and compare:
-	/// -# AtomCount
-	if (result) {
-		if (AtomCount != OtherMolecule->AtomCount) {
-			*out << Verbose(4) << "AtomCounts don't match: " << AtomCount << " == " << OtherMolecule->AtomCount << endl;
-			result = false;
-		} else *out << Verbose(4) << "AtomCounts match: " << AtomCount << " == " << OtherMolecule->AtomCount << endl;
-	}
-	/// -# ElementCount
-	if (result) {
-		if (ElementCount != OtherMolecule->ElementCount) {
-			*out << Verbose(4) << "ElementCount don't match: " << ElementCount << " == " << OtherMolecule->ElementCount << endl;
-			result = false;
-		} else *out << Verbose(4) << "ElementCount match: " << ElementCount << " == " << OtherMolecule->ElementCount << endl;
-	}
-	/// -# ElementsInMolecule
-	if (result) {
-		for (flag=MAX_ELEMENTS;flag--;) {
-			//*out << Verbose(5) << "Element " <<	flag << ": " << ElementsInMolecule[flag] << " <-> " << OtherMolecule->ElementsInMolecule[flag] << "." << endl;
-			if (ElementsInMolecule[flag] != OtherMolecule->ElementsInMolecule[flag])
-				break;
-		}
-		if (flag < MAX_ELEMENTS) {
-			*out << Verbose(4) << "ElementsInMolecule don't match." << endl;
-			result = false;
-		} else *out << Verbose(4) << "ElementsInMolecule match." << endl;
-	}
-	/// then determine and compare center of gravity for each molecule ...
-	if (result) {
-		*out << Verbose(5) << "Calculating Centers of Gravity" << endl;
-		DetermineCenter(CenterOfGravity);
-		OtherMolecule->DetermineCenter(OtherCenterOfGravity);
-		*out << Verbose(5) << "Center of Gravity: ";
-		CenterOfGravity.Output(out);
-		*out << endl << Verbose(5) << "Other Center of Gravity: ";
-		OtherCenterOfGravity.Output(out);
-		*out << endl;
-		if (CenterOfGravity.DistanceSquared(&OtherCenterOfGravity) > threshold*threshold) {
-			*out << Verbose(4) << "Centers of gravity don't match." << endl;
-			result = false;
-		}
-	}
-
-	/// ... then make a list with the euclidian distance to this center for each atom of both molecules
-	if (result) {
-		*out << Verbose(5) << "Calculating distances" << endl;
-		Distances = (double *) Malloc(sizeof(double)*AtomCount, "molecule::IsEqualToWithinThreshold: Distances");
-		OtherDistances = (double *) Malloc(sizeof(double)*AtomCount, "molecule::IsEqualToWithinThreshold: OtherDistances");
-		Walker = start;
-		while (Walker->next != end) {
-			Walker = Walker->next;
-			Distances[Walker->nr] = CenterOfGravity.DistanceSquared(&Walker->x);
-		}
-		Walker = OtherMolecule->start;
-		while (Walker->next != OtherMolecule->end) {
-			Walker = Walker->next;
-			OtherDistances[Walker->nr] = OtherCenterOfGravity.DistanceSquared(&Walker->x);
-		}
-
-		/// ... sort each list (using heapsort (o(N log N)) from GSL)
-		*out << Verbose(5) << "Sorting distances" << endl;
-		PermMap = (size_t *) Malloc(sizeof(size_t)*AtomCount, "molecule::IsEqualToWithinThreshold: *PermMap");
-		OtherPermMap = (size_t *) Malloc(sizeof(size_t)*AtomCount, "molecule::IsEqualToWithinThreshold: *OtherPermMap");
-		gsl_heapsort_index (PermMap, Distances, AtomCount, sizeof(double), CompareDoubles);
-		gsl_heapsort_index (OtherPermMap, OtherDistances, AtomCount, sizeof(double), CompareDoubles);
-		PermutationMap = (int *) Malloc(sizeof(int)*AtomCount, "molecule::IsEqualToWithinThreshold: *PermutationMap");
-		*out << Verbose(5) << "Combining Permutation Maps" << endl;
-		for(int i=AtomCount;i--;)
-			PermutationMap[PermMap[i]] = (int) OtherPermMap[i];
-
-		/// ... and compare them step by step, whether the difference is individiually(!) below \a threshold for all
-		*out << Verbose(4) << "Comparing distances" << endl;
-		flag = 0;
-		for (int i=0;i<AtomCount;i++) {
-			*out << Verbose(5) << "Distances squared: |" << Distances[PermMap[i]] << " - " << OtherDistances[OtherPermMap[i]] << "| = " << fabs(Distances[PermMap[i]] - OtherDistances[OtherPermMap[i]]) << " ?<? " <<	threshold << endl;
-			if (fabs(Distances[PermMap[i]] - OtherDistances[OtherPermMap[i]]) > threshold*threshold)
-				flag = 1;
-		}
-		Free((void **)&PermMap, "molecule::IsEqualToWithinThreshold: *PermMap");
-		Free((void **)&OtherPermMap, "molecule::IsEqualToWithinThreshold: *OtherPermMap");
-
-		/// free memory
-		Free((void **)&Distances, "molecule::IsEqualToWithinThreshold: Distances");
-		Free((void **)&OtherDistances, "molecule::IsEqualToWithinThreshold: OtherDistances");
-		if (flag) { // if not equal
-			Free((void **)&PermutationMap, "molecule::IsEqualToWithinThreshold: *PermutationMap");
-			result = false;
-		}
-	}
-	/// return pointer to map if all distances were below \a threshold
-	*out << Verbose(3) << "End of IsEqualToWithinThreshold." << endl;
-	if (result) {
-		*out << Verbose(3) << "Result: Equal." << endl;
-		return PermutationMap;
-	} else {
-		*out << Verbose(3) << "Result: Not equal." << endl;
-		return NULL;
-	}
+  int flag;
+  double *Distances = NULL, *OtherDistances = NULL;
+  Vector CenterOfGravity, OtherCenterOfGravity;
+  size_t *PermMap = NULL, *OtherPermMap = NULL;
+  int *PermutationMap = NULL;
+  atom *Walker = NULL;
+  bool result = true; // status of comparison
+
+  *out << Verbose(3) << "Begin of IsEqualToWithinThreshold." << endl;
+  /// first count both their atoms and elements and update lists thereby ...
+  //*out << Verbose(0) << "Counting atoms, updating list" << endl;
+  CountAtoms(out);
+  OtherMolecule->CountAtoms(out);
+  CountElements();
+  OtherMolecule->CountElements();
+
+  /// ... and compare:
+  /// -# AtomCount
+  if (result) {
+    if (AtomCount != OtherMolecule->AtomCount) {
+      *out << Verbose(4) << "AtomCounts don't match: " << AtomCount << " == " << OtherMolecule->AtomCount << endl;
+      result = false;
+    } else *out << Verbose(4) << "AtomCounts match: " << AtomCount << " == " << OtherMolecule->AtomCount << endl;
+  }
+  /// -# ElementCount
+  if (result) {
+    if (ElementCount != OtherMolecule->ElementCount) {
+      *out << Verbose(4) << "ElementCount don't match: " << ElementCount << " == " << OtherMolecule->ElementCount << endl;
+      result = false;
+    } else *out << Verbose(4) << "ElementCount match: " << ElementCount << " == " << OtherMolecule->ElementCount << endl;
+  }
+  /// -# ElementsInMolecule
+  if (result) {
+    for (flag=MAX_ELEMENTS;flag--;) {
+      //*out << Verbose(5) << "Element " <<  flag << ": " << ElementsInMolecule[flag] << " <-> " << OtherMolecule->ElementsInMolecule[flag] << "." << endl;
+      if (ElementsInMolecule[flag] != OtherMolecule->ElementsInMolecule[flag])
+        break;
+    }
+    if (flag < MAX_ELEMENTS) {
+      *out << Verbose(4) << "ElementsInMolecule don't match." << endl;
+      result = false;
+    } else *out << Verbose(4) << "ElementsInMolecule match." << endl;
+  }
+  /// then determine and compare center of gravity for each molecule ...
+  if (result) {
+    *out << Verbose(5) << "Calculating Centers of Gravity" << endl;
+    DeterminePeriodicCenter(CenterOfGravity);
+    OtherMolecule->DeterminePeriodicCenter(OtherCenterOfGravity);
+    *out << Verbose(5) << "Center of Gravity: ";
+    CenterOfGravity.Output(out);
+    *out << endl << Verbose(5) << "Other Center of Gravity: ";
+    OtherCenterOfGravity.Output(out);
+    *out << endl;
+    if (CenterOfGravity.DistanceSquared(&OtherCenterOfGravity) > threshold*threshold) {
+      *out << Verbose(4) << "Centers of gravity don't match." << endl;
+      result = false;
+    }
+  }
+
+  /// ... then make a list with the euclidian distance to this center for each atom of both molecules
+  if (result) {
+    *out << Verbose(5) << "Calculating distances" << endl;
+    Distances = (double *) Malloc(sizeof(double)*AtomCount, "molecule::IsEqualToWithinThreshold: Distances");
+    OtherDistances = (double *) Malloc(sizeof(double)*AtomCount, "molecule::IsEqualToWithinThreshold: OtherDistances");
+    Walker = start;
+    while (Walker->next != end) {
+      Walker = Walker->next;
+      Distances[Walker->nr] = CenterOfGravity.DistanceSquared(&Walker->x);
+    }
+    Walker = OtherMolecule->start;
+    while (Walker->next != OtherMolecule->end) {
+      Walker = Walker->next;
+      OtherDistances[Walker->nr] = OtherCenterOfGravity.DistanceSquared(&Walker->x);
+    }
+
+    /// ... sort each list (using heapsort (o(N log N)) from GSL)
+    *out << Verbose(5) << "Sorting distances" << endl;
+    PermMap = (size_t *) Malloc(sizeof(size_t)*AtomCount, "molecule::IsEqualToWithinThreshold: *PermMap");
+    OtherPermMap = (size_t *) Malloc(sizeof(size_t)*AtomCount, "molecule::IsEqualToWithinThreshold: *OtherPermMap");
+    gsl_heapsort_index (PermMap, Distances, AtomCount, sizeof(double), CompareDoubles);
+    gsl_heapsort_index (OtherPermMap, OtherDistances, AtomCount, sizeof(double), CompareDoubles);
+    PermutationMap = (int *) Malloc(sizeof(int)*AtomCount, "molecule::IsEqualToWithinThreshold: *PermutationMap");
+    *out << Verbose(5) << "Combining Permutation Maps" << endl;
+    for(int i=AtomCount;i--;)
+      PermutationMap[PermMap[i]] = (int) OtherPermMap[i];
+
+    /// ... and compare them step by step, whether the difference is individiually(!) below \a threshold for all
+    *out << Verbose(4) << "Comparing distances" << endl;
+    flag = 0;
+    for (int i=0;i<AtomCount;i++) {
+      *out << Verbose(5) << "Distances squared: |" << Distances[PermMap[i]] << " - " << OtherDistances[OtherPermMap[i]] << "| = " << fabs(Distances[PermMap[i]] - OtherDistances[OtherPermMap[i]]) << " ?<? " <<  threshold << endl;
+      if (fabs(Distances[PermMap[i]] - OtherDistances[OtherPermMap[i]]) > threshold*threshold)
+        flag = 1;
+    }
+    Free((void **)&PermMap, "molecule::IsEqualToWithinThreshold: *PermMap");
+    Free((void **)&OtherPermMap, "molecule::IsEqualToWithinThreshold: *OtherPermMap");
+
+    /// free memory
+    Free((void **)&Distances, "molecule::IsEqualToWithinThreshold: Distances");
+    Free((void **)&OtherDistances, "molecule::IsEqualToWithinThreshold: OtherDistances");
+    if (flag) { // if not equal
+      Free((void **)&PermutationMap, "molecule::IsEqualToWithinThreshold: *PermutationMap");
+      result = false;
+    }
+  }
+  /// return pointer to map if all distances were below \a threshold
+  *out << Verbose(3) << "End of IsEqualToWithinThreshold." << endl;
+  if (result) {
+    *out << Verbose(3) << "Result: Equal." << endl;
+    return PermutationMap;
+  } else {
+    *out << Verbose(3) << "Result: Not equal." << endl;
+    return NULL;
+  }
 };
 
@@ -4573,37 +5432,37 @@
 int * molecule::GetFatherSonAtomicMap(ofstream *out, molecule *OtherMolecule)
 {
-	atom *Walker = NULL, *OtherWalker = NULL;
-	*out << Verbose(3) << "Begin of GetFatherAtomicMap." << endl;
-	int *AtomicMap = (int *) Malloc(sizeof(int)*AtomCount, "molecule::GetAtomicMap: *AtomicMap");	//Calloc
-	for (int i=AtomCount;i--;)
-		AtomicMap[i] = -1;
-	if (OtherMolecule == this) {	// same molecule
-		for (int i=AtomCount;i--;) // no need as -1 means already that there is trivial correspondence
-			AtomicMap[i] = i;
-		*out << Verbose(4) << "Map is trivial." << endl;
-	} else {
-		*out << Verbose(4) << "Map is ";
-		Walker = start;
-		while (Walker->next != end) {
-			Walker = Walker->next;
-			if (Walker->father == NULL) {
-				AtomicMap[Walker->nr] = -2;
-			} else {
-				OtherWalker = OtherMolecule->start;
-				while (OtherWalker->next != OtherMolecule->end) {
-					OtherWalker = OtherWalker->next;
-			//for (int i=0;i<AtomCount;i++) { // search atom
-				//for (int j=0;j<OtherMolecule->AtomCount;j++) {
-					//*out << Verbose(4) << "Comparing father " << Walker->father << " with the other one " << OtherWalker->father << "." << endl;
-					if (Walker->father == OtherWalker)
-						AtomicMap[Walker->nr] = OtherWalker->nr;
-				}
-			}
-			*out << AtomicMap[Walker->nr] << "\t";
-		}
-		*out << endl;
-	}
-	*out << Verbose(3) << "End of GetFatherAtomicMap." << endl;
-	return AtomicMap;
+  atom *Walker = NULL, *OtherWalker = NULL;
+  *out << Verbose(3) << "Begin of GetFatherAtomicMap." << endl;
+  int *AtomicMap = (int *) Malloc(sizeof(int)*AtomCount, "molecule::GetAtomicMap: *AtomicMap");  //Calloc
+  for (int i=AtomCount;i--;)
+    AtomicMap[i] = -1;
+  if (OtherMolecule == this) {  // same molecule
+    for (int i=AtomCount;i--;) // no need as -1 means already that there is trivial correspondence
+      AtomicMap[i] = i;
+    *out << Verbose(4) << "Map is trivial." << endl;
+  } else {
+    *out << Verbose(4) << "Map is ";
+    Walker = start;
+    while (Walker->next != end) {
+      Walker = Walker->next;
+      if (Walker->father == NULL) {
+        AtomicMap[Walker->nr] = -2;
+      } else {
+        OtherWalker = OtherMolecule->start;
+        while (OtherWalker->next != OtherMolecule->end) {
+          OtherWalker = OtherWalker->next;
+      //for (int i=0;i<AtomCount;i++) { // search atom
+        //for (int j=0;j<OtherMolecule->AtomCount;j++) {
+          //*out << Verbose(4) << "Comparing father " << Walker->father << " with the other one " << OtherWalker->father << "." << endl;
+          if (Walker->father == OtherWalker)
+            AtomicMap[Walker->nr] = OtherWalker->nr;
+        }
+      }
+      *out << AtomicMap[Walker->nr] << "\t";
+    }
+    *out << endl;
+  }
+  *out << Verbose(3) << "End of GetFatherAtomicMap." << endl;
+  return AtomicMap;
 };
 
@@ -4619,21 +5478,21 @@
 bool molecule::OutputTemperatureFromTrajectories(ofstream *out, int startstep, int endstep, ofstream *output)
 {
-	double temperature;
-	atom *Walker = NULL;
-	// test stream
-	if (output == NULL)
-		return false;
-	else
-		*output << "# Step Temperature [K] Temperature [a.u.]" << endl;
-	for (int step=startstep;step < endstep; step++) { // loop over all time steps
-		temperature = 0.;
-		Walker = start;
-		while (Walker->next != end) {
-			Walker = Walker->next;
-			for (int i=NDIM;i--;)
-				temperature += Walker->type->mass * Trajectories[Walker].U.at(step).x[i]* Trajectories[Walker].U.at(step).x[i];
-		}
-		*output << step << "\t" << temperature*AtomicEnergyToKelvin << "\t" << temperature << endl;
-	}
-	return true;
-};
+  double temperature;
+  atom *Walker = NULL;
+  // test stream
+  if (output == NULL)
+    return false;
+  else
+    *output << "# Step Temperature [K] Temperature [a.u.]" << endl;
+  for (int step=startstep;step < endstep; step++) { // loop over all time steps
+    temperature = 0.;
+    Walker = start;
+    while (Walker->next != end) {
+      Walker = Walker->next;
+      for (int i=NDIM;i--;)
+        temperature += Walker->type->mass * Trajectories[Walker].U.at(step).x[i]* Trajectories[Walker].U.at(step).x[i];
+    }
+    *output << step << "\t" << temperature*AtomicEnergyToKelvin << "\t" << temperature << endl;
+  }
+  return true;
+};
